# Applicationbuildconfiguration

If an [Application](/game-hosting/elements/application.md) uses configuration files (e.g. `setup.cfg`), then these can be submitted and assigned to an [ApplicationBuild](/game-hosting/elements/application/applicationbuild.md) in the form of ApplicationBuildConfiguration elements. Each of these elements represent a configuration file. An ApplicationBuild can have zero or more ApplicationBuildConfiguration elements.

## Element structure

| Property       | Value type | Required  | Description                                       |
| -------------- | ---------- | --------- | ------------------------------------------------- |
| id             | string     | Read-only | Unique identifier of this element                 |
| configPath     | string     | Yes       | A path relative to the root of an application     |
| configName     | string     | Yes       | The name of the configuration file                |
| configContents | string     | Yes       | The contents of the configuration file            |
| createdAt      | int        | Read-only | A unix timestamp of when this element was created |

Table 1: ApplicationBuildConfiguration element structure

## Note about configPath

The configPath property defines in which folder to store the configuration file. The folder is always relative to the root (working directory) of the deployed ApplicationInstance's folder on the Host.

* if the folder does not exist, it will be created
* if configPath is `/`, `\` or `.`, it will be translated to point to the ApplicationInstance's working directory

## Relations

See also: [Application element relations](/game-hosting/elements/application/element-relations.md)

## Restrictions

You can have any number of ApplicationBuildConfiguration elements assigned to an ApplicationBuild. There is no limit.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/game-hosting/elements/application/applicationbuildconfiguration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
